//+------------------------------------------------------------------+
//|                                                  Power Trade.mq4 |
//|                            Copyright  2007, New York Forex Team |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, New York Forex Team"
#property link      ""

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
extern int CCIPeriod =  6;
extern int CCITF     =  15;



int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
ObjectsDeleteAll ();

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int    counted_bars=IndicatorCounted();
//---- check for possible errors
   if(counted_bars < 0) 
       return(-1);
//---- last counted bar will be recounted
   if(counted_bars > 0) 
       counted_bars--;
   limit = Bars - counted_bars;  
//---- indicator calculation
double CCIValue =  iCCI(NULL,CCITF, CCIPeriod, PRICE_TYPICAL,0);

// Trade direction

string Trade;
color TradeColor;

   if (CCIValue < 0)
    {
      Trade = "Trade Only Short  ";
      TradeColor  = Red;
    } 
   else
    {
//   if (CCIValue > 0)
      Trade = "Trade Only Long  ";
      TradeColor  = Green;
    }  
/// Label

   ObjectCreate("PowerTrade", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("PowerTrade","Power Trade      ",9, "Verdana", DodgerBlue);
   ObjectSet("PowerTrade", OBJPROP_CORNER, 1);
   ObjectSet("PowerTrade", OBJPROP_XDISTANCE, 10);
   ObjectSet("PowerTrade", OBJPROP_YDISTANCE, 10);

   ObjectCreate("Line", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Line","__________________",9, "Verdana", DodgerBlue);
   ObjectSet("Line", OBJPROP_CORNER, 1);
   ObjectSet("Line", OBJPROP_XDISTANCE, 10);
   ObjectSet("Line", OBJPROP_YDISTANCE, 12);

  
   ObjectCreate("Trade", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Trade",Trade,11, "Verdana", TradeColor);
   ObjectSet("Trade", OBJPROP_CORNER, 1);
   ObjectSet("Trade", OBJPROP_XDISTANCE, 10);
   ObjectSet("Trade", OBJPROP_YDISTANCE, 30);

   ObjectCreate("CCI", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("CCI","CCI (" + CCIPeriod + ")" + " on " + CCITF + " M " + DoubleToStr(CCIValue,2),9, "Verdana", TradeColor);
   ObjectSet("CCI", OBJPROP_CORNER, 1);
   ObjectSet("CCI", OBJPROP_XDISTANCE, 10);
   ObjectSet("CCI", OBJPROP_YDISTANCE, 50);


//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+